Bug 597632

Summary: Review Request: SOPE - web app framework used by SOGo groupware
Product: [Fedora] Fedora Reporter: Håvard Wigtil <havardw>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-15 16:07:01 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Håvard Wigtil 2010-05-29 17:57:24 EDT
Spec URL: http://www.pvv.org/~havardw/files/fedora/sope-
SRPM URL: http://www.pvv.org/~havardw/files/fedora/sope-
Description: SOPE is a web app framework in Objective-C. This is a dependency for SOGo (Scalable OpenGroupware.org), which I'll create another review request for shortly.

The spec file is based on the upstream spec file, and cleaned up to (hopefully) meet Fedora standards. I've kept the division in sub-packages to keep closer to upstream, but will be willing to reduce the number of sub-packages if that should be a requirement.

> rpmlint -iv ~/build/SPECS/sope.spec
/home/havardw/build/SPECS/sope.spec:248: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

0 packages and 1 specfiles checked; 0 errors, 1 warnings.

> rpmlint ~/build/RPMS/x86_64/sope*20100529*
sope-appserver.x86_64: W: no-documentation
sope-appserver-devel.x86_64: W: no-documentation
sope-appserver-devel.x86_64: W: no-manual-page-for-binary wod
sope-appserver-tools.x86_64: W: no-documentation
sope-appserver-tools.x86_64: W: no-manual-page-for-binary xmlrpc_call
sope-appserver-tools.x86_64: W: no-manual-page-for-binary sope-4.9
sope-core.x86_64: W: spelling-error %description -l en_US io -> oi, Io, ii
sope-core.x86_64: W: no-documentation
sope-core-devel.x86_64: W: no-documentation
sope-gdl1.x86_64: W: no-documentation
sope-gdl1.x86_64: W: no-manual-page-for-binary load-EOAdaptor
sope-gdl1.x86_64: W: no-manual-page-for-binary connect-EOAdaptor
sope-gdl1-devel.x86_64: W: no-documentation
sope-gdl1-mysql.x86_64: W: no-documentation
sope-gdl1-postgresql.x86_64: W: no-documentation
sope-gdl1-sqlite.x86_64: W: no-documentation
sope-ical.x86_64: W: spelling-error %description -l en_US iCalendar -> i Calendar, calendar, calender
sope-ical.x86_64: W: spelling-error %description -l en_US vCard -> v Card, card, Cardin
sope-ical.x86_64: W: no-documentation
sope-ical-devel.x86_64: W: no-documentation
sope-ldap.x86_64: W: no-documentation
sope-ldap-devel.x86_64: W: no-documentation
sope-ldap-tools.x86_64: W: spelling-error Summary(en_US) dsml -> dismal, dismay, damsel
sope-ldap-tools.x86_64: W: spelling-error %description -l en_US dsml -> dismal, dismay, damsel
sope-ldap-tools.x86_64: W: spelling-error %description -l en_US login -> loin, logic, lo gin
sope-ldap-tools.x86_64: W: no-documentation
sope-ldap-tools.x86_64: W: no-manual-page-for-binary ldapls
sope-ldap-tools.x86_64: W: no-manual-page-for-binary ldapchkpwd
sope-ldap-tools.x86_64: W: no-manual-page-for-binary ldap2dsml
sope-mime.x86_64: W: no-documentation
sope-mime-devel.x86_64: W: no-documentation
sope-xml.x86_64: W: no-documentation
sope-xml-devel.x86_64: W: no-documentation
sope-xml-tools.x86_64: W: no-documentation
sope-xml-tools.x86_64: W: no-manual-page-for-binary domxml
sope-xml-tools.x86_64: W: no-manual-page-for-binary xmln
sope-xml-tools.x86_64: W: no-manual-page-for-binary saxxml
21 packages and 0 specfiles checked; 0 errors, 37 warnings.
Comment 1 Jason Tibbitts 2010-11-19 15:19:13 EST
Build fails for me:

SoWebDAVRenderer.m:28:31: fatal error: NGObjWeb/SoObject.h: No such file or directory
compilation terminated.
make[6]: *** [obj/WebDAV.obj/SoWebDAVRenderer.m.o] Error 1
make[6]: *** Waiting for unfinished jobs....

Due to parallel make and the unfamiliar build output, I can't really tell if that's sufficient context.  Here's a scratch build showing the failure:

I note that this package does not meet the versioning guidelines; we have specific rules for naming snapshots which you must follow.  http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

You cannot simply link to sope-trunk-latest.tar.gz, because that changes over time.  You should either link to a specific release or provide instructions for making a checkout.  http://fedoraproject.org/wiki/Packaging:SourceURL
This would avoid the current situation where if I download the source I get something different from that which you packaged.

Finally, you do not appear to be in the packager group, so you should have indicated that you need a sponsor.  I suggest you read closely through http://fedoraproject.org/wiki/Join_the_package_collection_maintainers and the documents it links to regarding sponsorship.